#
# spec file for package perl-IO-stringy
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-IO-stringy
Version:        2.113
Release:        1.22
%define cpan_name IO-Stringy
Summary:        I/O on in-core objects like strings and arrays
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Tester)
BuildRequires:  perl(parent)
Requires:       perl(parent)
%{perl_requires}

%description
This toolkit primarily provides modules for performing both traditional and
object-oriented i/o) on things _other_ than normal filehandles; in
particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

In the more-traditional IO::Handle front, we have IO::AtomicFile which may
be used to painlessly create files which are updated atomically.

And in the "this-may-prove-useful" corner, we have IO::Wrap, whose exported
wraphandle() function will clothe anything that's not a blessed object in
an IO::Handle-like wrapper... so you can just use OO syntax and stop
worrying about whether your function's caller handed you a string, a
globref, or a FileHandle.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes contrib examples README
%license COPYING LICENSE

%changelog
* Thu Jun  4 2020 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Update to 2.113
  * Changes in 2.113     2020-01-16
  - Get rid of use of Common and TBone in all tests
  - Convert to Dist::Zilla for authoring
  - Cleaned up some of the docs. Needs more.
  * Changes in 2.112    2019-12-13
  - Change use vars qw() to our $whatever instead. 'our'
  - Hide IO::WrapTie subclasses from PAUSE
  - Convert README to README.md
  - Fix the documentation in the main module, IO::Stringy to better indicate
    where to get info and how to use the module
  - Add a LICENSE file
  - Get rid of the set-version.pl file as it's no longer needed
  - update t/IO_InnerFile.t to use Test::More and a proper TEMP file
* Mon Jan 14 2019 kukuk@suse.de
- Use %%license instead of %%doc [bsc#1082318]
* Wed May  6 2015 coolo@suse.com
- fix license to be perl's
* Sat May  2 2015 coolo@suse.com
- updated to 2.111
  see /usr/share/doc/packages/perl-IO-stringy/
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Jan 15 2009 anicka@suse.cz
- enable testsuite (bnc#465770)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 15 2005 schubi@suse.de
- update to 2.110
* Fri Feb 27 2004 choeger@suse.de
- update to most recent version 2.109
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Mon May 19 2003 choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Thu Aug  8 2002 mls@suse.de
- use sitearch macro
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Sun Jan 13 2002 link@suse.de
- update to v2.108
* Wed Nov 15 2000 choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 choeger@suse.de
- first package, v1.212
